import ApolloClient from 'apollo-client';
import { SetupConfig, Auth, ApiConfig, Token } from './types/setup';
import getProduct from './api/getProduct';
import getCategory from './api/getCategory';
import createCart from './api/createCart';
import updateCart from './api/updateCart';
import getCart from './api/getCart';
import addToCart from './api/addToCart';
import removeFromCart from './api/removeFromCart';
import updateCartQuantity from './api/updateCartQuantity';
import getMe from './api/getMe';
import createMyOrderFromCart from './api/createMyOrderFromCart';
import getShippingMethods from './api/getShippingMethods';
import updateShippingDetails from './api/updateShippingDetails';
import customerSignMeUp from './api/customerSignMeUp';
import customerSignMeIn from './api/customerSignMeIn';
import customerSignOut from './api/customerSignOut';
import getMyOrders from './api/getMyOrders';
import applyCartCoupon from './api/applyCartCoupon';
import removeCartCoupon from './api/removeCartCoupon';
import customerChangeMyPassword from './api/customerChangeMyPassword';
import createAccessToken from './helpers/createAccessToken';
import * as cartActions from './helpers/cart/actions';
declare let apolloClient: ApolloClient<any>;
declare let locale: string;
declare let currency: string;
declare let country: string;
declare let countries: any[];
declare let currencies: any[];
declare let locales: any[];
declare let acceptLanguage: string[];
declare let currentToken: Token;
declare let api: ApiConfig;
declare let auth: Auth;
declare let cookies: {
    currencyCookieName: string;
    countryCookieName: string;
    localeCookieName: string;
};
declare const setup: <TCacheShape>(setupConfig: SetupConfig<TCacheShape>) => ApolloClient<TCacheShape>;
export { api, currentToken, createAccessToken, auth, apolloClient, setup, cookies, locale, locales, acceptLanguage, country, currency, countries, currencies, cartActions, getProduct, getCategory, createCart, updateCart, getCart, addToCart, removeFromCart, getMe, updateCartQuantity, createMyOrderFromCart, getShippingMethods, updateShippingDetails, customerSignMeUp, customerSignMeIn, customerSignOut, applyCartCoupon, removeCartCoupon, getMyOrders, customerChangeMyPassword };
